# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermBytesTermState

Packages that use PhraseWildcardQuery.TermBytesTermState
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery.TermBytesTermState in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return types with arguments of type PhraseWildcardQuery.TermBytesTermState
  Modifier and Type
  Method
  Description
  `protected List<PhraseWildcardQuery.TermBytesTermState>`
  PhraseWildcardQuery.`collectMultiTermDataForSegment(PhraseWildcardQuery.MultiTerm multiTerm, LeafReaderContext leafReaderContext, int remainingExpansions, MutableValueBool shouldStopSegmentIteration, Map<BytesRef,PhraseWildcardQuery.TermStats> termStatsMap)`
  Collects the `TermState` list and `TermStatistics` for a multi-term on a specific index segment.
  `protected List<PhraseWildcardQuery.TermBytesTermState>`
  PhraseWildcardQuery.TermData.`getTermStatesForSegment(LeafReaderContext leafReaderContext)`
  Method parameters in org.apache.lucene.sandbox.search with type arguments of type PhraseWildcardQuery.TermBytesTermState
  Modifier and Type
  Method
  Description
  `protected void`
  PhraseWildcardQuery.TermData.`setTermStatesForSegment(LeafReaderContext leafReaderContext, List<PhraseWildcardQuery.TermBytesTermState> termStates)`
  Sets the collected list of `PhraseWildcardQuery.TermBytesTermState` for the given segment.